﻿using Infragistics.Controls.Grids.Primitives;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace XamGridFilterFocusCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();            
        }        

        void FCS_Loaded(object sender, RoutedEventArgs e)
        {
            FilterSelectionControl FCS = sender as FilterSelectionControl;
            FilterTextBox TB = Utilities.GetDescendantFromName((DependencyObject)FCS, "FilterTextBox") as FilterTextBox;

            if (TB != null)
            {
                Dispatcher.BeginInvoke(new Action(() =>
                {
                    TB.Focus();
                }), DispatcherPriority.Background);
            }            
        }
    }
}
